package pl.org.bpmn;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.util.Arrays;

import pl.org.bpmn.TeamSchedule;
import org.junit.Test;

public class TeamScheduleTest {
	
	@Test
	public void testAvailableHours(){
		TeamSchedule schedule = new TeamSchedule();		
		for(int i=0; i<10; i++) {
			int avHrs = schedule.getAvailableHours();
			assertTrue(Arrays.asList(14, 47, 78).contains(avHrs));
		}	
	}
	
	@Test
	public void testAvailableHoursWithPriority(){
		TeamSchedule schedule = new TeamSchedule();				
		assertEquals(schedule.getAvailableHours(-10), 14);	
		assertEquals(schedule.getAvailableHours(0), 47);	
		assertEquals(schedule.getAvailableHours(10), 78);	
	}
	
}
